Update product
curl --request PATCH \
--url https://api.cnap.tech/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "PostgreSQL Managed",
"sources": [
{
"chart": {
"repo_url": "<string>",
"target_revision": "<string>",
"chart": "<string>",
"path": "<string>"
},
"values": {},
"metadata": {}
}
],
"cluster_ids": [
"<string>"
],
"stripe_price_ids": [
"<string>"
],
"settings": {
"custom_image": "<string>",
"custom_description": "<string>",
"show_sources": true
}
}
'import requests
url = "https://api.cnap.tech/v1/products/{id}"
payload = {
"name": "PostgreSQL Managed",
"sources": [
{
"chart": {
"repo_url": "<string>",
"target_revision": "<string>",
"chart": "<string>",
"path": "<string>"
},
"values": {},
"metadata": {}
}
],
"cluster_ids": ["<string>"],
"stripe_price_ids": ["<string>"],
"settings": {
"custom_image": "<string>",
"custom_description": "<string>",
"show_sources": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'PostgreSQL Managed',
sources: [
{
chart: {
repo_url: '<string>',
target_revision: '<string>',
chart: '<string>',
path: '<string>'
},
values: {},
metadata: {}
}
],
cluster_ids: ['<string>'],
stripe_price_ids: ['<string>'],
settings: {custom_image: '<string>', custom_description: '<string>', show_sources: true}
})
};
fetch('https://api.cnap.tech/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_id": "<string>",
"template_id": "<string>"
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Products
Update product
Replaces product configuration including helm sources, clusters, and settings. Triggers async chart regeneration.
PATCH
/
v1
/
products
/
{id}
Update product
Authorizations
Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Path Parameters
Product ID
Body
application/json
⌘I